A crash occurs when clicking too often on the playback bar
Status: Rejected Start date: June 23, 2018

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.9   

Description

If I click very often onto the playback bar to seek somewhere, audacious crashes with following message:

(audacious:3038): GLib-GIO-CRITICAL **: 19:26:32.083: g_dbus_proxy_new: assertion 'G_IS_DBUS_CONNECTION (connection)'

failed

[xcb] Unknown sequence number while processing queue

[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called

[xcb] Aborting, sorry about that.

audacious: ../../src/xcb_io.c:259: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed.

Abgebrochen

To be more precise, I used a key combination which executes a command to cause lots of clicks: xdotool click --repeat 300 --delay

10 1.

History

#1 - June 24, 2018 00:55 - John Lindgren

I can't reproduce.  What's the backtrace?

#2 - June 30, 2018 09:54 - me 20 hours and

Here's the gdb backtrace: https://pastebin.com/raw/vQrjKuj3

#3 - June 30, 2018 19:33 - John Lindgren

Try disabling all the plugins you can and see if the problem still occurs.  I don't think anything in Audacious core does X11 stuff from a non-main

thread, but maybe a plugin is misbehaving.

#4 - July 18, 2018 16:37 - me 20 hours and

I've tried it with default settings (by temporarily renaming ~/.config/audacious/) and it still happened.

#5 - July 19, 2018 13:37 - John Lindgren

Okay, now please try disabling all the plugins you can (even those enabled by default) and see if the problem still occurs.

#6 - July 19, 2018 18:10 - me 20 hours and

I've tried it on a mp3 file, the first time, playing stopped and I got this message:

ERROR ffaudio-core.cc:215 [log_result]: av_seek_frame failed: Vorgang nicht zulässig

I started playing and tried again, then it crashed:

WARNING ffaudio-core.cc:186 [mp3]: <0x7f1868095a80> Could not update timestamps for skipped samples.

[xcb] Unknown sequence number while processing queue

[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called

[xcb] Aborting, sorry about that.

The crash also occurred with an ogg file.
#7 - August 07, 2018 17:11 - Thomas Lange

Could you make a screenshot of the area where you click? I cannot reproduce it as well.

#8 - August 08, 2018 10:33 - me 20 hours and

- File 2018-08-08-122948_742x390_scrot.png added

#9 - August 13, 2018 19:32 - John Lindgren

Since others have not been able to reproduce this and it's a crash in a lower-level library that Audacious doesn't interact with directly, it seems to me

that it might be a bug in a library that Audacious is using, such as GTK or one of its dependencies.  There's probably not much anyone can do to

debug it without physical access to the machine it's occurring on.  I don't have any other suggestions, sorry.

#10 - September 27, 2018 15:47 - John Lindgren

- Status changed from New to Rejected

Closing as not reproducible.

Files

2018-08-08-122948_742x390_scrot.png 63.3 KB August 08, 2018 me 20 hours and

Powered by TCPDF (www.tcpdf.org)

July 03, 2025 2/2

http://www.tcpdf.org

